View Issue Details

IDProjectCategoryView StatusLast Update
0017210CentOS-8_unreleased_devel_pkgspublic2020-04-06 18:49
Reporterabiagion 
PrioritynormalSeverityminorReproducibilityN/A
Status newResolutionopen 
Product Version 
Target VersionFixed in Version 
Summary0017210: Packages required by FreeIPA
DescriptionHi, FreeIPA needs the following packages to be built or tested in our CI:

jsl
libsss_certmap-devel
libsss_idmap-devel
python3-docker
python3-paramiko
python3-paste
python3-polib
python3-pycodestyle
python3-pylint >= 1.7
python3-pytest-multihost
python3-pytest-sourceorder
python3-tox
python3-twine
samba-devel >= 4.7.0

Thanks!
TagsNo tags attached.

Activities

abbra

abbra

2020-04-03 08:02

reporter   ~0036643

Out of those all packages we really cannot get libsss* and samba-delel-related ones without CentoS folks' help. Docker packages are available in Docker CE repo, this shouldn't be a problem.

Following packages exist in Fedora and could be brought in via EPEL:
jsl
python3-polib
python-pytest-multihost
python-pytest-sourceorder
python-tox
python-twite

the rest already exists in EPEL 8.
abiagion

abiagion

2020-04-06 18:49

reporter   ~0036656

Fixing the list after @abbra's note:

libsss_certmap-devel
libsss_idmap-devel
samba-devel >= 4.7.0 (samba4-devel)

Issue History

Date Modified Username Field Change
2020-04-01 00:25 abiagion New Issue
2020-04-03 08:02 abbra Note Added: 0036643
2020-04-06 18:49 abiagion Note Added: 0036656